<div class="w-screen transform -translate-x-1/2 ml-1/2">
<div class="sm:mx-auto sm:w-full">
  <h1 class="mt-6 mb-8 text-center leading-9 font-extrabold text-gray-900">
    Sign in to your account
  </h1>
</div>

<div class="mt-4 sm:mx-auto sm:w-full">


  <!-- <% if flash.any? %>
    <div class="flashes px-4 sm:px-10 mb-4">
      <% flash.each do |level, message| %>
        <%= content_tag :div, class: "flash flash-#{level} text-center text-red-600",
                              'data-closable': 'true' do %>
          <%= message %>
        <% end %>
      <% end %>
    </div>
  <% end %> -->

  <div class="bg-white py-8 px-4 shadow sm:rounded-lg sm:px-10 mx-auto md:max-w-md">
  <%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
      <div class="field">
        <%= f.label :email, class:"block text-sm font-medium leading-5 text-gray-700" %>
        
        <div class="mt-1 rounded-md shadow-sm">
            <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-colorSecondary focus:border-colorSecondary transition duration-150 ease-in-out sm:text-sm sm:leading-5" %>
        </div>
     </div>


      <div class="field mt-6">
      <%= f.label :password, class:"block text-sm font-medium leading-5 text-gray-700" %>

        <div class="mt-1 rounded-md shadow-sm">
        <%= f.password_field :password, autocomplete: "current-password", class: "appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-colorSecondary focus:border-colorSecondary transition duration-150 ease-in-out sm:text-sm sm:leading-5" %>
        </div>
      </div>


      <% if devise_mapping.rememberable? %>
        <div class="field mt-6 flex items-center justify-between ">
          <div class="flex items-center">
          <%= f.check_box :remember_me, class:"h-4 w-4 text-colorSecondary transition duration-150 ease-in-out border border-gray-300 rounded-sm shadow-sm focus:ring-colorSecondary focus:bg-colorSecondary" %>
          <%= f.label :remember_me, class:'ml-2 block text-sm leading-5 text-gray-800' %>
          </div>
      <% end %>

        <div class="text-sm leading-5">
          <%= render "devise/shared/links", class:"font-medium text-colorSecondary hover:text-colorPrimary focus:outline-none focus:underline transition ease-in-out duration-150" %>
        </div>

      </div>

      <div class="actions mt-6">
        <span class="block w-full rounded-md shadow-sm">
          <button type="submit" class="w-full flex justify-center py-2 px-4 border border-colorSecondary text-sm font-medium rounded-md text-colorSecondary bg-white hover:text-colorPrimary hover:border-colorPrimary focus:outline-none focus:border-colorPrimary focus:shadow-outline-colorPrimary transition duration-150 ease-in-out">
          <%= f.submit "Sign In", class: "bg-transparent" %>
          </button>
        </span>
      </div>
  </div>
</div>
</div>
<% end %>

